Bug 242284 - Wrong boot partition when installing using diskboot.img
Wrong boot partition when installing using diskboot.img
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
All Linux
low Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-02 19:43 EDT by Amadeus
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-04 11:22:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amadeus 2007-06-02 19:43:49 EDT
Description of problem:
When installing F7 using diskboot.img on a USB key, GRUB is installed on the USB
key and not on the harddrive as expected.

Meaning, that after the installation of F7 is complete it can't boot without the
USB key is inserted.
Comment 1 Jeremy Katz 2007-06-04 11:22:08 EDT
This basically means that your BIOS is telling us that the first BIOS drive is
the USB key when you're doing the install and so we default to using it.  You
can change the drive the boot loader is installed to either from the
partitioning or the advanced bootloader screen.

Unfortunately, there's not much we can do to better auto-detect things :(
Comment 2 Amadeus 2007-06-04 18:46:14 EDT
But it worked in Fedora 6...

Note You need to log in before you can comment on or make changes to this bug.